dbXML API

## org.dbxml.core.data
Interface DocumentSet

All Known Implementing Classes:
  EmptyDocumentSet

public interface DocumentSet

DocumentSet is an interface for iterating over a set of Documents.

Method Summary
`Container` `getNextContainer()` getNextContainer returns the next Document in the set wrapped in a Collection Container.
`org.w3c.dom.Document` `getNextDocument()` getNextDocument returns the next Document in the set.
`boolean` `hasMoreDocuments()` hasMoreDocuments returns whether there are any more Documents left in the set.

Method Detail

### hasMoreDocuments

    public boolean hasMoreDocuments()
                             throws DBException

  hasMoreDocuments returns whether there are any more Documents left in the set.
  Returns:
    Whether there are more Documents

### getNextDocument

    public org.w3c.dom.Document getNextDocument()
                                         throws DBException

  getNextDocument returns the next Document in the set.
  Returns:
    The next Document

### getNextContainer

    public Container getNextContainer()
                               throws DBException

  getNextContainer returns the next Document in the set wrapped in a Collection Container. Containers store extra information about the Document (like its Key)
  Returns:
    The next Container

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved